#include <QFileDialog>
#include <QDebug>

#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    QFileDialog *dlg = new QFileDialog(this);
    dlg->setOption(QFileDialog::DontUseNativeDialog, true);
    if(dlg->exec())
    {
        QStringList files = dlg->selectedFiles();
        qDebug() << files.at(0);
    }
    delete dlg;
}

void MainWindow::on_pushButton_2_clicked()
{
    QFileDialog *dlg = new QFileDialog(this);
    dlg->setOption(QFileDialog::DontUseNativeDialog, false);
    if(dlg->exec())
    {
        QStringList files = dlg->selectedFiles();
        qDebug() << files.at(0);
    }
    delete dlg;
}

